Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2030 - fdisk corrupts extended partition containing OS/2
Summary: fdisk corrupts extended partition containing OS/2
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 5.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL: pipework@cadvision.com
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-07 12:46 UTC by pipework
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-02-07 14:15:10 UTC


Attachments (Terms of Use)

Description pipework 1999-04-07 12:46:19 UTC
It appears that when fdisk writes the
partition tables to disk, it changes the
extended partition entry such that BOOT
MANAGER cannot find the OS/2 partition.

I think that it does it even if the LINUX
partitions are on another physical drive! I
don't think this was a problem on my
Infomagic developer's version of 5.1.

The only solution I found was to temporarily
resize the extended partition using
partition magic which rewrote the
information (I think).

Comment 1 Erik Troan 2001-02-06 21:13:37 UTC
Can you send before fdisk/after fdisk partition table information?

Comment 2 pipework 2001-02-07 14:15:06 UTC
Hi:

I am unable to make copies of the partition tables (before and after) as you have requested. That computer is our main one for business.
If it is of any help, I have two 4G quantum hard drives. Linux is on the second disk. BootManager,WIN98 and OS/2 are on the first disk.
For some reason, the BIOS automatically configured the first disk as 'large' and the second as LBA. By the time I had discovered this,
 I didn't feel like changing it and reinstalling everything. 

This error appeared when I installed RedHat 7. It did not occur when I installed 5.1. Also, the OS/2 partition was not damaged, it just did not
 show up in the boot manager. Deleting and reinstalling boot manager did not work. Using Partition Magic to change the extended partition
 values did fix it. This leads me to think that the extended partition entry was changed in a way that did not affect the pointers but did make
 boot manager choke.

SM

Comment 3 Erik Troan 2001-02-07 16:13:31 UTC
If you upgrade again, it would be helpful to see fdisk -l output before and
after. I'm closing this bug as I have no way to reproduce it :-(


Note You need to log in before you can comment on or make changes to this bug.